当前位置:首页 > 服务端 > 安装Ambari2.7.3执行mvn versions:set -DnewVersion=2.7.3.0.0时报错

安装Ambari2.7.3执行mvn versions:set -DnewVersion=2.7.3.0.0时报错

安装Ambari2.7.3执行mvn versions:set -DnewVersion=2.7.3.0.0时报错 _ JavaClub全栈架构师技术笔记

就是执行这一步报错,错误信息如下

[ERROR] Failed to execute goal org.codehaus.mojo:versions-maven-plugin:2.7:set (default-cli) on project ambari-metrics: Execution default-cli of goal org.codehaus.mojo:versions-maven-plugin:2.7:set failed: Plugin org.codehaus.mojo:versions-maven-plugin:2.7 or one of its dependencies could not be resolved: Failed to collect dependencies at org.codehaus.mojo:versions-maven-plugin:jar:2.7 -> org.apache.maven:maven-artifact:jar:2.2.1: Failed to read artifact descriptor for org.apache.maven:maven-artifact:jar:2.2.1: Could not transfer artifact org.apache.maven:maven-artifact:pom:2.2.1 from/to central (https://repo.maven.apache.org/maven2): Connect to repo.maven.apache.org:443 [repo.maven.apache.org/151.101.24.215] failed: 拒绝连接 (Connection refused) -> [Help 1]

安装Ambari2.7.3执行mvn versions:set -DnewVersion=2.7.3.0.0时报错 _ JavaClub全栈架构师技术笔记

 

打开下边help1 那个网址大概意思就是jar包的问题,或者是网络的问题。于是我找到了mavenjar包下载位置,找到了标绿的那个地方

安装Ambari2.7.3执行mvn versions:set -DnewVersion=2.7.3.0.0时报错 _ JavaClub全栈架构师技术笔记

删除了整个version-maven-plugin文件夹,然后再次执行mvn versions:set -DnewVersion=2.7.3.0.0,成功!

安装Ambari2.7.3执行mvn versions:set -DnewVersion=2.7.3.0.0时报错 _ JavaClub全栈架构师技术笔记

 

作者:王大仙儿
来源链接:https://www.cnblogs.com/wangdaxianer/p/10490392.html

版权声明:
1、Java侠(https://www.javaxia.com)以学习交流为目的,由作者投稿、网友推荐和小编整理收藏优秀的IT技术及相关内容,包括但不限于文字、图片、音频、视频、软件、程序等,其均来自互联网,本站不享有版权,版权归原作者所有。

2、本站提供的内容仅用于个人学习、研究或欣赏,以及其他非商业性或非盈利性用途,但同时应遵守著作权法及其他相关法律的规定,不得侵犯相关权利人及本网站的合法权利。
3、本网站内容原作者如不愿意在本网站刊登内容,请及时通知本站(javaclubcn@163.com),我们将第一时间核实后及时予以删除。





本文链接:https://www.javaxia.com/server/125339.html

分享给朋友:

“安装Ambari2.7.3执行mvn versions:set -DnewVersion=2.7.3.0.0时报错” 的相关文章